using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Windows.Forms;

namespace FolderBrowserDialogBoxProject
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (folderBrowserDialog1.ShowDialog()
                == DialogResult.OK)
                ShowFile(folderBrowserDialog1.SelectedPath);
        }
        void ShowFile(string strPath)
        {
            try
            {
                lvData.Items.Clear();
                DirectoryInfo dir = new DirectoryInfo(strPath);
                lvData.Columns.Add("Name", 100, 0);
                lvData.Columns.Add("Size", 50, 0);
                lvData.Columns.Add("Date", 70, 0);
                lvData.View = View.Details;
                ListViewItem item1;
                foreach (FileInfo d in dir.GetFiles("*.*"))
                {
                    item1 = new ListViewItem(d.Name);
                    item1.SubItems.Add(d.Length.ToString());
                    item1.SubItems.Add(d.CreationTime.ToLongDateString());
                    lvData.Items.Add(item1);
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            FolderBrowserDialog FBD = new FolderBrowserDialog();
            FBD.RootFolder = Environment.SpecialFolder.ProgramFiles;
            FBD.ShowNewFolderButton = true;
            if (FBD.ShowDialog()
                == DialogResult.OK)
            {
                ShowFile(FBD.SelectedPath);
            }
        }
    }
}